ASG
IBM
Zystems
Cressida
Icon
Netflexity
 
  MQSeries.net
Search  Search       Tech Exchange      Education      Certifications      Library      Info Center      SupportPacs      LinkedIn  Search  Search                                                                   FAQ  FAQ   Usergroups  Usergroups
 
Register  ::  Log in Log in to check your private messages
 
RSS Feed - WebSphere MQ Support RSS Feed - Message Broker Support

MQSeries.net Forum IndexIBM MQ Java / JMSWhich Maven jar version for ours Qmanagers

Post new topicReply to topic
Which Maven jar version for ours Qmanagers View previous topic :: View next topic
Author Message
pcouas
PostPosted: Wed Sep 11, 2019 3:49 am Post subject: Which Maven jar version for ours Qmanagers Reply with quote

Voyager

Joined: 06 Sep 2011
Posts: 75

Hi

Currently we use IBM jar version 8.0.0.6, but we have migrate ours Qmangers on 9.0.0.2 and two new Qmanagers in 9.1.2.0
So which Java Jar version must be using ?

Regards
Back to top
View user's profile Send private message
HubertKleinmanns
PostPosted: Wed Sep 11, 2019 4:02 am Post subject: Reply with quote

Yatiri

Joined: 24 Feb 2004
Posts: 630
Location: Germany

In general IBM supports one version above or below, so

- MQ client version 8 should work with MQ server version 7, 8 or 9

- MQ server version 8 should work with MQ client version 7, 8 or 9

If you use a non-IBM Java this could be different and require a minimum fix level at the client side.
_________________
Regards
Hubert
Back to top
View user's profile Send private message Visit poster's website
pcouas
PostPosted: Mon Sep 16, 2019 4:24 am Post subject: Reply with quote

Voyager

Joined: 06 Sep 2011
Posts: 75

Yes but why on maven repositorty https://mvnrepository.com/artifact/com.ibm.mq/com.ibm.mq.allclient

9.1.3.0 is released in July 2019 and 9.1.0.3 in August 2019 ?
Which is good version ?
Regards
Back to top
View user's profile Send private message
fjb_saper
PostPosted: Mon Sep 16, 2019 4:36 am Post subject: Reply with quote

Grand High Poobah

Joined: 18 Nov 2003
Posts: 20091
Location: LI,NY

pcouas wrote:
Yes but why on maven repositorty https://mvnrepository.com/artifact/com.ibm.mq/com.ibm.mq.allclient

9.1.3.0 is released in July 2019 and 9.1.0.3 in August 2019 ?
Which is good version ?
Regards

Depends on your purpose ... x.y.0.z are LTS versions and x.y.z.0 are CD versions.
You need to know which ones you are looking for.
_________________
MQ & Broker admin
Back to top
View user's profile Send private message Send e-mail
PeterPotkay
PostPosted: Mon Sep 16, 2019 7:07 am Post subject: Reply with quote

Poobah

Joined: 15 May 2001
Posts: 7554

IBM supports all supported versions of MQ Clients talking to all supported versions of MQ Servers.

https://www.ibm.com/support/pages/mq-7x-mq-80-mq-90-and-mq-91-compatibility-previous-versions-including-usage-ccdt-files-jms-bindings-ssltls
_________________
Peter Potkay
Keep Calm and MQ On
Back to top
View user's profile Send private message
pcouas
PostPosted: Mon Sep 16, 2019 8:12 pm Post subject: Reply with quote

Voyager

Joined: 06 Sep 2011
Posts: 75

Ok

My Qmanagers are on version 9.0.0.2 and 9.1.0.2 so i think using Jar 9.1.0.3

Regards
Back to top
View user's profile Send private message
PeterPotkay
PostPosted: Tue Sep 17, 2019 1:50 am Post subject: Reply with quote

Poobah

Joined: 15 May 2001
Posts: 7554

Supported way to install WebSphere MQ Java jar files, JMS jar files, or C/C++ libraries
https://www.ibm.com/support/pages/supported-way-install-websphere-mq-java-jar-files-jms-jar-files-or-cc-libraries


Getting the IBM MQ classes for Java and JMS
https://www.ibm.com/support/pages/getting-ibm-mq-classes-java-and-jms


Webcast Replay: Installation scenarios for MQ 8.0 and 9.0 in Linux and Windows
https://www.ibm.com/support/pages/webcast-replay-installation-scenarios-mq-80-and-90-linux-and-windows
_________________
Peter Potkay
Keep Calm and MQ On
Back to top
View user's profile Send private message
pcouas
PostPosted: Wed Sep 18, 2019 7:51 pm Post subject: Reply with quote

Voyager

Joined: 06 Sep 2011
Posts: 75

My Qmanagers are on version 9.0.0.2 and 9.1.0.2, so i think using Jar 9.1.0.3 from MAVEN repository in my Java application

Regards
Back to top
View user's profile Send private message
Display posts from previous:
Post new topicReply to topic Page 1 of 1

MQSeries.net Forum IndexIBM MQ Java / JMSWhich Maven jar version for ours Qmanagers
Jump to:



You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
Protected by Anti-Spam ACP


Theme by Dustin Baccetti
Powered by phpBB 2001, 2002 phpBB Group

Copyright MQSeries.net. All rights reserved.